Page MenuHomePhabricator

Setup poolcounter daemon in Beta Cluster
Closed, ResolvedPublic

Description

MediaWiki extension PoolCounter need to be properly setup which also mean installing a "poolcounter" daemon.

http://www.mediawiki.org/wiki/Extension:PoolCounter

Details

Reference
bz36891

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 12:27 AM
bzimport set Reference to bz36891.
bzimport added a subscriber: Unknown Object (MLST).

There is no puppet class yet to install the daemon. Puppetization Tracked by bug 36892.

Following a discussion with Tim Starling during the hackathon, poolcounter is not really needed on beta.

(In reply to Antoine "hashar" Musso from comment #2)

Following a discussion with Tim Starling during the hackathon, poolcounter
is not really needed on beta.

Eh, I thought the purpose of the beta cluster was to mirror production. Can you please elaborate on why PoolCounter isn't needed on beta?

Per discussion with Tim earlier we do not need a PoolCounter on beta. There is simply not enough traffic / contention there to have any use for the Poolcounter nor to find out whether it is working properly.

Reopened as Bug 70940 - Install and configure pool counter

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptAug 26 2015, 8:03 AM
greg renamed this task from setup poolcounter daemon to Setup poolcounter daemon in Beta Cluster.Jul 13 2016, 6:05 PM
greg reopened this task as Open.
greg updated the task description. (Show Details)
greg set Security to None.

I'm reopening this to explore if we can set it up in Beta Cluster now.

demon raised the priority of this task from Lowest to Normal.Jul 13 2016, 6:08 PM
demon added a subscriber: demon.

I don't see why we can't. Sure, it's not necessary for beta operations, but it's a prod:beta delta and caused an outage today because of config mismatches.

According to T112501 , deployment-poolcounter01.deployment-prep.eqiad.wmflabs is the Poolcounter instance since September 2015.

wmf-config/LabsServices.php:$wmfAllServices['eqiad']['poolcounter'] = [
wmf-config/LabsServices.php:    '10.68.19.181', # deployment-poolcounter01.deployment-prep.eqiad.wmflabs
greg added a comment.Jul 13 2016, 6:11 PM

And then:

18:03 <   legoktm> '-wmgUsePoolCounter' => [
18:03 <   legoktm> 'default' => false, // T38891
18:03 <   legoktm> ],

:)

greg added a comment.Jul 14 2016, 6:08 AM
18:03 <   legoktm> '-wmgUsePoolCounter' => [
18:03 <   legoktm> 'default' => false, // T38891
18:03 <   legoktm> ],

What happens if we set that to true? Does the world break? Or is this magically done? Or?

Change 298919 had a related patch set uploaded (by Greg Grossmeier):
[Beta Cluster] Enable PoolCounter

https://gerrit.wikimedia.org/r/298919

AlexMonk-WMF added a subscriber: AlexMonk-WMF.

This instance is running precise (T143349) - it should be replaced with a trusty instance to match production codfw (we don't have poolcounter packaged for jessie, eqiad prod poolcounters use precise)

Change 298919 merged by jenkins-bot:
[Beta Cluster] Remove PoolCounter override

https://gerrit.wikimedia.org/r/298919

AlexMonk-WMF closed this task as Resolved.Aug 24 2016, 11:12 PM
AlexMonk-WMF claimed this task.

Still seems to work after pointing it to poolcounter02, a trusty instance I set up the other day. I shut down poolcounter01 and will delete it soon.